package test.test;

import java.util.HashMap;
import java.util.Map;

import javax.xml.namespace.QName;
import javax.xml.xpath.XPathVariableResolver;

public final class MapVariableResolver implements XPathVariableResolver {

    private final Map<String, Object> variableMappings = new HashMap<>();

    public MapVariableResolver(Map<String, Object> map) {
        variableMappings.putAll(map);
    }

    @Override
    public Object resolveVariable(QName varName) {
        return variableMappings.get(varName.getLocalPart());
    }
}
